program dptest
  use opera
  use dotst
  use inicia

  implicit none
  real, dimension (2)		  :: dot1, dot2
  integer, parameter		  :: nw = 50
  integer, parameter		  :: nx = 40
  integer, parameter		  :: nz = 40
  integer, parameter		  :: nreal = 1
  real, dimension(nw*nx*nz*nreal)	  :: m0

  call genmodel(m0)
  call opera_init(nw,nx,nz,nreal)
  call dot_test( opera_lop, nw*nx*nz*nreal, nx*nz*nx*nz, dot1, dot2, m0 )
end program DPtest
